CheckIndex.Level (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.index, class: CheckIndex, class: Level

Package org.apache.lucene.index

# Class CheckIndex.Level

java.lang.Object
org.apache.lucene.index.CheckIndex.Level

Enclosing class:
  `CheckIndex`

public static class CheckIndex.Level extends Object
Class with static variables with information about CheckIndex's -level parameter.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_VALUE`
  The default level if none is specified.
  `static final int`
  `MAX_VALUE`
  Maximum valid level.
  `static final int`
  `MIN_LEVEL_FOR_CHECKSUM_CHECKS`
  Minimum level required to run checksum checks.
  `static final int`
  `MIN_LEVEL_FOR_INTEGRITY_CHECKS`
  Minimum level required to run integrity checks.
  `static final int`
  `MIN_LEVEL_FOR_SLOW_CHECKS`
  Minimum level required to run slow checks.
  `static final int`
  `MIN_VALUE`
  Minimum valid level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkIfLevelInBounds(int levelVal)`
  Checks if given level value is within the allowed bounds else it raises an Exception.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MIN_VALUE

    public static final int MIN_VALUE
    Minimum valid level.
    See Also:
      - Constant Field Values

  - ### MAX_VALUE

    public static final int MAX_VALUE
    Maximum valid level.
    See Also:
      - Constant Field Values

  - ### DEFAULT_VALUE

    public static final int DEFAULT_VALUE
    The default level if none is specified.
    See Also:
      - Constant Field Values

  - ### MIN_LEVEL_FOR_CHECKSUM_CHECKS

    public static final int MIN_LEVEL_FOR_CHECKSUM_CHECKS
    Minimum level required to run checksum checks.
    See Also:
      - Constant Field Values

  - ### MIN_LEVEL_FOR_INTEGRITY_CHECKS

    public static final int MIN_LEVEL_FOR_INTEGRITY_CHECKS
    Minimum level required to run integrity checks.
    See Also:
      - Constant Field Values

  - ### MIN_LEVEL_FOR_SLOW_CHECKS

    public static final int MIN_LEVEL_FOR_SLOW_CHECKS
    Minimum level required to run slow checks.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### checkIfLevelInBounds

    public static void checkIfLevelInBounds(int levelVal) throws IllegalArgumentException
    Checks if given level value is within the allowed bounds else it raises an Exception.
    Throws:
      `IllegalArgumentException`